import { ElMessage } from 'element-plus';
import request from '/@/utils/request';

/**
 * @summary 获取监测点模板
 */
export const GetMonitorPointTemplateSelectListStd = async (req: any = request) => {
	return req({
		url: '/Monitor/Point/Template/Std/GetSelectList@V1.0',
		method: 'GET',
	});
};

/**
 * 调用接口，返回监测点模板
 * 报错时返回 undefined
 * @returns
 */
export const getMonitorPointTemplateSelectListStd = async (req: any = request) => {
	const res = await GetMonitorPointTemplateSelectListStd(req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		return resData;
	} else {
		ElMessage.error('获取监测点模板失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};
